<?php
/**
 * @version   $Id: kunenasocial.php,v 0e66a16e69e5 2011/02/10 12:01:33 likemandrake $
 * @author    Piotr Minkina <likemandrake@o2.pl>
 * @copyright Copyright (C) 2011 Piotr Minkina. All rights reserved.
 * @license   GNU/GPL version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

/**
 * Select list of Kunena Social bookmarks
 *
 * @author Piotr Minkina <likemandrake@o2.pl>
 */
class JElementKunenaSocial extends JElement
{
    /**
     * @see JElement::$_name
     */
    public $_name = 'Kunena Social';
    
    /**
     * Prepares select list od Kunena Social bookmarks loaded from config file
     *
     * @see JElement::fetchElement()
     */
    public function fetchElement($name, $value, &$node, $control_name)
    {
        $attribs = array('class' => 'inputbox');
        $options = array();
        
        if ($node->attributes('class'))
        {
            $attribs['class'] = $node->attributes('class');
        }
        foreach (parse_ini_file(dirname(__FILE__) . '/../bookmarks.ini', true) as $kunenasocial => $data)
        {
            if (!is_array($data))
            {
                continue;
            }
            $options[] = JHTML::_('select.option', $kunenasocial, $data['name']);
        }
        
        return JHTML::_('select.genericlist', $options,
                        (string) $control_name . "[$name]",
                        JArrayHelper::toString($attribs),
                        'value', 'text', $value,
                        $control_name . $name);
    }
}
